
Name:		slurm
Version:	16.05.4
Release:	201702072226hpe_hpcstack%{?dist}
Summary:	The Slurm resource manager

License:	GPL V2
URL:		http://www.schedmd.com
Source:	slurm-16.05.4.tar.bz2
BuildRequires: munge-devel
Requires: environment-modules
Obsoletes: slurm_15.08.10
Requires: munge
Conflicts: pmilibs

AutoReqProv:	no

%define debug_package %{nil}
%define prefix        /opt/hpe/hpc/slurm/16.05.4


%description

The Slurm resource manager

%prep
%setup -q -n slurm-16.05.4

%build
rm -rf BuildHERE
mkdir BuildHERE
cd BuildHERE
../configure --prefix=/opt/hpe/hpc/slurm/16.05.4 --with-munge --enable-pam
make 
make  DESTDIR=/tmp/root/slurm-16.05.4-XKnQfdyMn install contrib install-contrib
make DESTDIR=/tmp/root/slurm-16.05.4-XKnQfdyMn install
cd -

%check

%install

rm -rf %{buildroot}
mv -f /tmp/root/slurm-16.05.4-XKnQfdyMn %{buildroot}


mkdir -p %{buildroot}/opt/hpe/hpc/modules/slurm
cat >%{buildroot}/opt/hpe/hpc/modules/slurm/16.05.4 <<EOF
#%Module1.0

# Module file for slurm-16.05.4

proc ModulesHelp { } {
        puts stderr "Set up the paths for slurm-16.05.4"
}

set path        /opt/hpe/hpc/slurm/16.05.4

set ver         16.05.4

prepend-path PATH /opt/hpe/hpc/slurm/16.05.4/bin
prepend-path LD_LIBRARY_PATH /opt/hpe/hpc/slurm/16.05.4/lib:/opt/hpe/hpc/slurm/16.05.4/lib64
prepend-path MANPATH /opt/hpe/hpc/slurm/16.05.4/share/man

if { [exec id -u] eq 0 } {
	prepend-path PATH /opt/hpe/hpc/slurm/16.05.4/sbin
}
EOF


mkdir -p %{buildroot}/opt/hpe/hpc/slurm/16.05.4/etc
cp ./etc/* %{buildroot}/opt/hpe/hpc/slurm/16.05.4/etc/

cat >%{buildroot}/opt/hpe/hpc/slurm/16.05.4/etc/start_slurm.sh <<EOF
#!/bin/bash
/opt/hpe/hpc/slurm/16.05.4/sbin/slurmctld
/opt/hpe/hpc/slurm/16.05.4/sbin/slurmd
EOF

chmod 755 %{buildroot}/opt/hpe/hpc/slurm/16.05.4/etc/start_slurm.sh

cd %{buildroot}/opt/hpe/hpc/slurm/16.05.4/..
ln -s 16.05.4 default || true	# Unless it is already set
cd %{buildroot}/opt/hpe/hpc/slurm/16.05.4/../../modules/slurm
ln -s 16.05.4 default || true	# Unless it is already set

mkdir -p  %{buildroot}/opt/hpe/hpc/test/installation_validation/slurm/16.05.4/
cp /tmp/root/slurm-16.05.4-I1rXqYJKc/TESTS/slurm.ivp %{buildroot}/opt/hpe/hpc/test/installation_validation/slurm/16.05.4/ || true
chmod +x %{buildroot}/opt/hpe/hpc/test/installation_validation/slurm/16.05.4/* || true

%clean
rm -rf %{buildroot}

%pre

module load slurm >/dev/null 2>&1

squeue -ah >/dev/null 2>&1
# check if slurm is installed and configured
if [ $? -eq 0 ]; then
	n_jobs=$(squeue -ah | sed '/^\s*$/d' | wc -l)
	# check if slurm is in use
	if [ "$n_jobs" -ne 0 ]; then
		squeue -a
		echo
		echo "ERROR: Update aborted."
		echo "It seems there are jobs running or waiting to run in Slurm."
		echo "Please make sure Slurm is not in use before uninstalling ."
		echo
		exit 1
	fi
fi





%files
%defattr(-,root,root,-)
%{prefix}/*
/opt/hpe/hpc/modules
/opt/hpe/hpc/test
/opt/hpe/hpc/slurm/16.05.4/../default
/lib64/security

%changelog
